Go to advanced search

by rmast
Mon Dec 31, 2018 9:59 am
Forum: Ubuntu
Topic: How to upgrade to Ubuntu MATE 18.04 on the Raspberry Pi
Replies: 8
Views: 13906

Re: How to upgrade to Ubuntu MATE 18.04 on the Raspberry Pi

I simply did the do-release-upgrade from the terminal and it successfully upgraded without breaking any packages. The trick is probably to first fully update the existing version before upgrading. I tried the same, do-release-upgrade without sudo, and type the password when asked from the 16.04.2 i...
by rmast
Sun Dec 30, 2018 12:55 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

Re: libegl1-mesa package broken dependency?

jdonald wrote:
Sun Dec 30, 2018 12:45 am

Code: Select all

deb http://archive.raspberrypi.org/debian/ stretch main ui staging
So it seems likely that DirkS did mean archive.raspberrypi.org is the RPF repo (and it's what you're missing).
Yes! That's it! Thanks!

By the way, the Stretch-image was quite freshly Etched yesterday.
by rmast
Sat Dec 29, 2018 11:39 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

Re: libegl1-mesa package broken dependency?

archive.raspberrypi.org only contains a debian tree, not raspbian, so it can't find specific rpi stuff. That's not correct. The name 'debian' as such is totally irrelevant. archive.raspberrypi.org is the RPF repository. It is not a mirror or whatever of the raspbian repo. It contains RPF specific s...
by rmast
Sat Dec 29, 2018 10:33 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

Re: libegl1-mesa package broken dependency?

archive.raspberrypi.org only contains a debian tree, not raspbian, so it can't find specific rpi stuff.
by rmast
Sat Dec 29, 2018 10:22 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

Re: libegl1-mesa package broken dependency?

You could use the same workaround by commenting out the line in sources.list and making sure archive.raspberrypi.org (not raspbian.raspberrypi.org) takes effect when you run sudo apt update. I had some issues with the standard-mirror over wifi, so I changed it. But now with an ethernet-cable inbetw...
by rmast
Sat Dec 29, 2018 10:18 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

Re: libegl1-mesa package broken dependency?

I tried to build libgles2-mesa from source, but the build starts swapping for lack of memory and completely stalls the desktop on my RPi3 on some tex-related stuff, so I decided not to wear out my 32GB sandisk extreme USB any further AND guess it should be crosscompiled instead.
by rmast
Sat Dec 29, 2018 7:50 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

Re: libegl1-mesa package broken dependency?

Did you do sudo apt-get update first? yes What does apt-cache policy libgles2-mesa-dev show? pi@raspberrypi:~ $ apt-cache policy libgles2-mesa-dev libgles2-mesa-dev: Installed: (none) Candidate: 13.0.6-1 Version table: 13.0.6-1 500 500 http://raspbian.mirror.triple-it.nl/raspbian stretch/main armhf...
by rmast
Sat Dec 29, 2018 6:59 pm
Forum: Raspbian
Topic: libegl1-mesa package broken dependency?
Replies: 13
Views: 730

libegl1-mesa package broken dependency?

On stretch on my Rpi3 a similar issue: pi@raspberrypi:~ $ sudo apt-get install libgles2-mesa-dev Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are ...
by rmast
Sat Mar 04, 2017 12:22 am
Forum: Advanced users
Topic: STICKY: HOWTO: Create Custom HDMI modes
Replies: 215
Views: 376571

Re: HOWTO: Create Custom HDMI modes

With a bit trial and error I finally found the 576i HDMI setting in hdmi_timings, as to be able to modify these timings slightly, but I'm afraid my cheap chinese HDMI to CVBS converter just can't cope with PAL-color well, as the upper part of the screen has a color error. Luckily my TV supports NTSC...
by rmast
Wed Feb 08, 2017 10:26 pm
Forum: Raspbian
Topic: weird file corruption problem with flash drive??
Replies: 38
Views: 12179

Re: weird file corruption problem with flash drive??

By the way, an external hub didn't make that difference. This was just a run with the USB-stick right in the RPi3.
by rmast
Wed Feb 08, 2017 10:25 pm
Forum: Raspbian
Topic: weird file corruption problem with flash drive??
Replies: 38
Views: 12179

Re: weird file corruption problem with flash drive??

The gstreamer compilation just ends on some compilation-failure when I fully run from a root-fs copied to USB, as it runned quicker than before I don't know whether a compilation of the same duration would corrupt the USB-disk as well, but I suspect the mixing of SD and USB-diskaccess to be a potent...
by rmast
Wed Feb 08, 2017 8:39 pm
Forum: Raspbian
Topic: weird file corruption problem with flash drive??
Replies: 38
Views: 12179

Re: weird file corruption problem with flash drive??

Today I have a corruption/freeze issue within OSMC using a Sandisk Cruzer Extreme 32GB together with the internal SD-card. I thought the sandisk would help me compile faster with make -j4 on my RPi3, on the extreme as 'external drive' but building gstreamer it just freezes and shows a corrupt, even ...
by rmast
Fri Dec 25, 2015 12:00 pm
Forum: Raspbian
Topic: Need Help getting X10 USB remote to work
Replies: 1
Views: 1929

Re: Need Help getting X10 USB remote to work

I tried to get my medion X10 remote working on OpenElec 5 and 6.0.0. Only the lower half of the remote seems to consistently send the signals to the rpi. I tested the userspace atilibusb-command from the ssh-prompt: lircd --driver=help shows lirc is present and compiled with atilibusb. rmmod ati_rem...

Go to advanced search